What's New?

What's New in Moffsoft FreeCalc?

1.2 - Build 6 (August 2004)

· For multiplication and division, percent key now converts previously entered number to a decimal.
· Fixed periodic truncation of calculator window.
· Changed multiply and divide symbols on tape to match mathematical symbols on buttons.

1.1 - Build 3 (March 2003)

· Added Clear Tape {CT} button.
· Added help file and context sensitive help.
· Operator buttons now display mathematical symbols.
· Appearance of square root function on tape is now sqrt( ).
· Removed Close button on Keyboard Equivalents window.
· Gripper handle and status bar text now change color with color scheme.
· Switched M+ and M- buttons.
· Double-clicking a value on tape now places it back in the numeric display.
· Clearing tape now clears numeric display as well.
· Added tape navigation including Up Arrow, Down Arrow, Page Up, Page Down, Ctrl+Home, and Ctrl+End.
· Single click of system tray icon now opens or closes application.
· Installation now creates group with links to help, uninstall, and website.
· Removed nag screen and registration algorithm.
· Added message when user attempts to open second occurrence when running in system tray.
· {+/-} button no longer sends anything to tape.
· Added popup menu with copy, paste, etc.

1.0 - Build 36 (January 2002)

· Fixed issue with regional settings that use an apostrophe ( ' ) for digit groupings.
· Adjusted registry entries to keep application registered when different users sign on same PC.
· Fixed issue with registration process when user name did not match a valid registration code.

1.0 - Build 33 (September 2000)

· Initial release


Getting Started

logotitle

Welcome to Moffsoft FreeCalc help. To get started, select a topic below:

Moffsoft FreeCalc Overview
Learn about the key functionality.

Freeware
Description of freeware.

Using Moffsoft FreeCalc
How to use this software.

Technical Support and Contact Information
How to contact Moffsoft for help.


Moffsoft FreeCalc Overview

mofffreecalc Moffsoft FreeCalc has a simple, easy-to-use interface that allows a user of any level to start crunching numbers immediately. In addition to basic calculator functions, Moffsoft FreeCalc has a printable/savable tape, double and triple zero keys, sizing capabilities, color schemes, a system tray icon option, international support for thousand separators, and more.

That's the overview. Now, let's get started using Moffsoft FreeCalc!

See also:
Getting Started
Using Moffsoft FreeCalc


Freeware

Moffsoft FreeCalc is freeware. The application is fully functional and free to use. You may distribute Moffsoft FreeCalc as long as the installation, application, and supporting documentation are not modified.

Looking for more functionality in your calculator software? Upgrade to Moffsoft Calculator. Please visit www.moffsoft.com for more information.

See also:
Technical Support and Contact Information


Using Moffsoft FreeCalc

This chapter defines the calculator parts and how to use them.

Parts of the Calculator
Learn about the visual parts of the main calculator window such as menus, buttons, the tape, and more.

Entering Calculations
Learn the basics of entering mathematical equations.

Using the Tape
Learn about the features of the calculator tape.

Using Memory Buttons
Learn how to save, recall, and clear a value in memory.

Sizing the Calculator
Learn how to adjust the size and position of the calculator window.

Using the Keyboard
View keyboard equivalents for all calculator buttons.


Parts of the Calculator

The main calculator window is composed of a variety of parts. To learn more, select a topic below:

Menus
Defines calculator menus.

Buttons
Defines calculator buttons.

Numeric Display
Defines the field containing numeric input and results.

Tape
How the tape of historical transactions works.

Status Bar
Defines parts of the window status bar.


Menus

This section defines the calculator menu options. To learn more, select a menu below:

File Menu
Defines File Menu items.

Edit Menu
Defines Edit Menu items.

View Menu
Defines View Menu items.

Options Menu
Defines Options Menu items.

Help Menu
Defines Help Menu items.


File Menu

The File Menu contains many standard Windows commands. Each menu option is defined below:

Save
Saves tape information as a text file (*.txt). If the current tape file has not been previously saved, a Save dialog box will open giving you the ability to select a path and file name. Each additional save will overwrite the defined file.

Save As...
Saves tape information as a text file (*.txt). Opens a Save As dialog box giving you the ability to select a path and file name.

Print...
Opens a standard print dialog box giving you the ability to print the tape information.

Exit
Closes Moffsoft FreeCalc.


Edit Menu

The Edit Menu contains many standard Windows commands. Each menu option is defined below:

Copy
Copies the current selection to the Windows Clipboard. You can select and copy a portion or all of the tape, or the value in the numeric display. When nothing is selected, this command automatically copies the value in the numeric display.

Paste
Inserts the contents of the Windows Clipboard into the numeric display. If the Clipboard contains non-numeric data or more than one value, an error message is displayed. You cannot paste into the calculator tape.

Select All
Highlights all information on tape. This command usually precedes Edit | Copy.

Reset Size
Restores calculator window, buttons, and fonts to their original default size. After repeated sizing, some buttons may become misaligned. This command fixes any sizing issues.


View Menu

The View Menu toggles some of the calculator's visible features on and off. Each menu option is defined below:

Tape
Toggles the calculator tape on and off. When the tape is off, the CT (Clear Tape) button becomes disabled.

Flat Buttons
Toggles the calculator buttons between a flat and raised appearance.


Options Menu

The Options Menu contains some user preferences:

Always on Top
Keeps Moffsoft FreeCalc on top of other Windows applications.

Tray Icon
Displays the calculator icon in the Windows system tray (next to clock) for easy calculator access. Once in the tray, Moffsoft FreeCalc opens and closes with a single click of the tray icon.

Run on Startup
Opens Moffsoft FreeCalc when Windows starts. This option is commonly used with the tray icon option.

Color Scheme
Displays a list of color combinations.


Help Menu

The Help Menu contains several types of instructional information. Additionally, you can open the Registration and About dialogs from this menu. Each menu option is defined below:

Moffsoft FreeCalc Help
Opens this help file to the Getting Started topic.

Keyboard Equivalents
Opens this help file to the Using the Keyboard topic.

What's This?
Changes the mouse pointer to a question mark. Click on any control to view a context sensitive help definition.

Upgrade at Moffsoft.com
Opens a browser window to www.moffsoft.com where you can find information about more powerful calculator products.

About Moffsoft FreeCalc
Opens a window containing Moffsoft FreeCalc information such as title, copyright, and version.


Buttons

The main calculator window has a variety of buttons. To learn more, select a group of buttons below:

Numeric Buttons
Defines buttons with numbers as well as decimal and plus/minus buttons.

Operator Buttons
Defines buttons containing mathematical operators such as addition, subtraction, multiplication, and division.

Clear Buttons
Defines buttons that clear a portion or all of the calculator's numeric display or tape.

Function Buttons
Defines special function buttons such as percentage, square root, and reciprocal.

Memory Buttons
Defines buttons that clear, store, recall, and update memory values.


Numeric Buttons

The numeric buttons along with the decimal button and plus/minus button are defined below:

btn0 Zero Button
Enters the number zero into the numeric display.
Keyboard = 0

btn00 Double Zero Button
Enters two zeros into the numeric display.
Keyboard = Z

Triple Zero Button
Enters three zeros into the numeric display.
Keyboard = X

btn1 One Button
Enters the number one into the numeric display.
Keyboard = 1

btn2 Two Button
Enters the number two into the numeric display.
Keyboard = 2

btn3 Three Button
Enters the number three into the numeric display.
Keyboard = 3

btn4 Four Button
Enters the number four into the numeric display.
Keyboard = 4

btn5 Five Button
Enters the number five into the numeric display.
Keyboard = 5

btn6 Six Button
Enters the number six into the numeric display.
Keyboard = 6

btn7 Seven Button
Enters the number seven into the numeric display.
Keyboard = 7

btn8 Eight Button
Enters the number eight into the numeric display.
Keyboard = 8

btn9 Nine Button
Enters the number nine into the numeric display.
Keyboard = 9

btndecimal Decimal Button
Enters the decimal into the numeric display. The value on this button changes based on your Windows Control Panel Regional Settings.

btnplusminus +/- (Plus/Minus) Button
Reverses the sign of the displayed number. For example, if you want to multiply 3 times -5, enter 3 ´ 5 +/- = and the result will be -15.
Keyboard = F9

See also:
Operator Buttons
Clear Buttons
Function Buttons
Memory Buttons


Operator Buttons

Moffsoft FreeCalc supports standard mathematical operators including addition, subtraction, multiplication, and division. Since Moffsoft FreeCalc displays a running result as you enter calculations, there is no operator order of precedence. The operator buttons along with the Equals button are defined below:

btnadd Addition Button
Adds the previously entered number to the next number. For example, 2 + 3 = 5.
Keyboard = +

btnsubtract Subtraction Button
Subtracts the next number from the previously entered number. For example, 5 - 2 = 3.
Keyboard = -

btnmultiply Multiplication Button
Multiplies the previously entered number by the next number. For example, 2 ´ 3 = 6.
Keyboard = *

btndivide Division Button
Divides the previously entered number by the next number. For example, 8 ¸ 2 = 4.
Keyboard = /

btnequals Equals Button
Performs the operation on the previous two numbers and displays the result.
Keyboard = Enter

See also:
Numeric Buttons
Clear Buttons
Function Buttons
Memory Buttons


Clear Buttons

The clear buttons delete all or a portion of the calculator's numeric display. Some clear buttons also remove pending operators and tape entries. The buttons are defined below in order of least impacting to most impacting:

btnback Backspace Button
Clears the last digit entered.
Keyboard = Backspace

btnce Clear Entry Button
Clears the value in the numeric display.
Keyboard = Delete

btnc Clear Button
Clears the current calculation and totals.
Keyboard = Esc

btnct Clear Tape Button
Clears the tape entries, current calculation, and totals. The Clear Tape Button is disabled when the tape is off.
Keyboard = Shift + Delete

See also:
Numeric Buttons
Operator Buttons
Function Buttons
Memory Buttons


Function Buttons

The function buttons perform a special operation on the current value. The buttons are defined below:

btnsquareroot Square Root Button
Calculates the square root of the current number. For example, 144 sqrt gives a result of 12.
Keyboard = @

btnpercent Percent Button
Calculates a percentage of the previously entered number. For example, 50 + 10 % = 55. In this example, the Percent Button multiplies 50 by .10 and adds the result to 50. A percentage can also be subtracted, multiplied, or divided by a number in the same way by substituting the appropriate operator in the example above.
Keyboard = %

btnreciprocal Reciprocal Button
Calculates the reciprocal of the current number. For example, 10 1/x gives a result of .1. In this example, the Reciprocal Button divides 1 by 10.
Keyboard = R

See also:
Numeric Buttons
Operator Buttons
Clear Buttons
Memory Buttons


Memory Buttons

The memory buttons allow you to store, recall, update, and clear values in memory. The buttons are defined below:

btnmc Memory Clear Button
Clears the number(s) stored in memory.
Keyboard = Ctrl + L

btnmr Memory Recall Button
Recalls the number stored in memory and inserts it into the numeric display.
Keyboard = Ctrl + R

btnms Memory Store Button
Stores the calculator's current value in memory.
Keyboard = Ctrl + M

btnmsubtract Memory Subtract Button
Subtracts the calculator's current value from the number in memory, and replaces the memory value with the result.
Keyboard = Ctrl + S

btnmadd Memory Add Button
Adds the calculator's current value to the number in memory, and replaces the memory value with the result.
Keyboard = Ctrl + A

See also:
Numeric Buttons
Operator Buttons
Clear Buttons
Function Buttons


Numeric Display

The Numeric Display shows calculation input and results. Error messages for invalid calculations, such as division by zero, are also shown in the Numeric Display and must be cleared to continue.

See also:
Clear Buttons
Parts of the Calculator


Tape

The calculator tape displays a running history of transactions. The information on the tape can be copied, saved, printed, and cleared. You can also re-use a number on the tape by double-clicking the value. To learn more, see Using the Tape.


Status Bar

The Status Bar contains the following three parts:

Moffsoft Website or Memory Value
By default, the Moffsoft website is shown in this panel. When a value other than zero is stored in memory, that value replaces the website information.

Num Lock Indicator
Shows whether or not the Num Lock indicator on your keyboard is enabled. When this indicator is on, you can use the numeric keypad on your keyboard to enter calculations.

Sizing Handle
This handle allows you to click and drag the edge of the window to size the calculator's display.

See also:
Using Memory Buttons
Sizing the Calculator


Entering Calculations

Moffsoft FreeCalc allows you to enter calculations with the mouse or the keyboard. The algebraic input logic works like most hand-held calculators. Following are some common calculation examples:

To add two numbers:

1. Enter the first number. (Assumes positive unless negative sign is entered first.)
2. Enter +
3. Enter the second number.
4. Press the Equals {=} button.

For example, to add the numbers 2 and 3, enter:

2 + 3 =

The result is 5.

To subtract one number from another:

1. Enter the first number.
2. Enter -
3. Enter the number you want to subtract.
4. Press the Equals {=} button.

For example, to subtract 3 from 5, enter:

5 - 3 =

The result is 2.

To multiply two numbers:

1. Enter the first number.
2. Enter ´
3. Enter the second number.
4. Press the Equals {=} button.

For example, to multiply the numbers 2 and 3, enter:

2 ´ 3 =

The result is 6.

To divide one number by another:

1. Enter the first number.
2. Enter ¸
3. Enter the number you want to divide by.
4. Press the Equals {=} button.

For example, to divide 6 by 3, enter:

6 ¸ 3 =

The result is 2.

To combine operators:

Moffsoft FreeCalc displays a running subtotal each time you enter an operator, so there is no operator precedence. For example, when you enter the following:

3 + 2 ´ 4 =

The 3 and 2 are added together first, resulting in 5. The 5 is then multiplied by 4 to result in 20.

See also:
Using the Keyboard


Using the Tape

The calculator tape displays a running history of transactions. The information on the tape can be copied, saved, printed, and cleared. You can also re-use a number on the tape by double-clicking the value.

To turn the tape on and off:

Select View | Tape.

To reuse a number on the tape:

Double-click the desired number on the tape.

To navigate on the tape:

Up Arrow: scrolls up one line.
Down Arrow: scrolls down one line.
Page Up: scrolls up 15 lines.
Page Down: scrolls down 15 lines.
Ctrl + Home: scrolls to the top.
Ctrl + End: scrolls to the bottom.

To copy a portion of the tape:

1. Position your mouse over the tape. Click and drag to highlight the desired portion.
2. Select Edit | Copy.

To save the tape:

1. Select File | Save.
2. Select the folder and file name.

To print the tape:

Select File | Print.

To clear the tape:

Press the btnct button.


Using Memory Buttons

The memory buttons allow you to store, recall, update, and clear values in memory. If you have a number that may be needed again, save yourself time by storing it in memory.

To store a value in memory:

Ensure the value you want to save is on the numeric display, and then click btnms. The value will now be visible on the status bar.

To recall a value in memory:

Click btnmr.

For example, if you stored the number 100 in memory and want to use it to add 50 + 100 + 25 + 100, simply enter the following:

50 + MR + 25 + MR =

To clear memory:

Click btnmc.

Once memory is cleared, the Moffsoft website information is re-displayed on the status bar.

To add to the value in memory:

Click btnmadd.

For example, if 100 is currently in memory and 50 is on the numeric display, clicking M+ places 150 in memory.

To subtract from the value in memory:

Click btnmsubtract.

For example, if 100 is currently in memory and 25 is on the numeric display, clicking M- places 75 in memory.

See also:
Memory Buttons


Sizing the Calculator

Moffsoft FreeCalc allows you to size and position the window for easier viewing. You can make the calculator as large as your screen resolution will allow.

To size the calculator:

Click and drag the edge of the calculator window.

or

Click and drag the sizing handle on the status bar.

See also:
Status Bar


Using the Keyboard

Listed below are the keyboard equivalents for each calculator button:

Button | Keyboard | Button | Keyboard
0-9 | 0-9 | sqrt | @
00 | Z | % | %
000 | X | 1/x | R
. | . | Back | Backspace
+/- | F9 | CE | Delete
 |  | C | Esc
¸ | / | CT | Shift + Delete
´ | * |  |
- | - | MC | Ctrl + L
+ | + | MR | Ctrl + R
 |  | MS | Ctrl + M
= | Enter | M- | Ctrl + S
 |  | M+ | Ctrl + A


Technical Support and Contact Information

Most of the features in Moffsoft FreeCalc are a direct result of user feedback. If you find a bug, have a suggestion, or just need a little extra help, please let us know. You can submit feedback on our website or contact us directly via e-mail:

Moffsoft website: www.moffsoft.com

Sales e-mail: sales@moffsoft.com

Support e-mail: support@moffsoft.com


End-User License Agreement

MOFFSOFT SOFTWARE LICENSE AGREEMENT FOR MOFFSOFT FREECALC

IMPORTANT-READ CAREFULLY BEFORE INSTALLING THIS SOFTWARE.
THIS LEGAL DOCUMENT IS AN AGREEMENT BETWEEN YOU, THE END USER (USER), AND MOFFSOFT FOR THE MOFFSOFT PRODUCT IDENTIFIED ABOVE. BY USING THE SOFTWARE YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS LICENSE AGREEMENT, WHICH INCLUDES THE SOFTWARE LICENSE AND ACKNOWLEDGMENT.

IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL OR USE THIS SOFTWARE.

COPYRIGHT OF SOFTWARE
The SOFTWARE is the property of MOFFSOFT and is protected by United States copyright laws and intellectual property laws, and the laws of other countries under international treaty provisions. The SOFTWARE is licensed, not sold.

OTHER RIGHTS AND LIMITATIONS
The USER may not rent, lease or use for commercial purpose the SOFTWARE. The USER may not reverse engineer, decompile, or disassemble the SOFTWARE.

TERMINATION
Without prejudice to any other rights, MOFFSOFT may terminate the AGREEMENT if USER fails to comply with the terms and conditions of the AGREEMENT. In such an event, the USER must return all components of SOFTWARE and any accompanying documentation to MOFFSOFT. Any and all other copies of SOFTWARE must be destroyed.

LIMITATION OF WARRANTY AND LIABILITY
The SOFTWARE is licensed to USER AS IS. To the maximum extent permitted by applicable law, MOFFSOFT makes no warranties, express or implied, including the implied warranties of merchantability and fitness for a particular purpose, regarding this SOFTWARE. In no event will MOFFSOFT be liable to USER or USER ASSIGNS for damages, including any lost profits, lost information, business interruption, or other incidental or consequential damages arising out of USER use of or inability to use the SOFTWARE, even if MOFFSOFT has been advised of the possibility of such damages. Some jurisdictions do not allow excluding or limiting implied warranties, or limiting liability for incidental or consequential damages, and some jurisdictions have special statutory consumer protection provisions that may supersede this limitation. As a result, this limitation may not apply to USER if prohibited by the laws of the USER's jurisdiction.

GENERAL
If any provision of this AGREEMENT is held to be invalid or unenforceable to any extent in any context, it shall nevertheless be enforced to the fullest extent allowed by law in that and other contexts, and the validity and force of the remainder of this AGREEMENT shall not be affected thereby. This AGREEMENT shall be governed by the local laws of the STATE OF KANSAS without regard to its conflicts of laws rules to the contrary.

U.S. GOVERNMENT RESTRICTED RIGHTS
The SOFTWARE and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software-Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is Moffsoft, 13317 W. 112th Terrace, Overland Park, KS 66210.